# Copyright (C) 2014 by Bundesamt für Sicherheit in der Informationstechnik
# Software engineering by Intevation GmbH
#
# This file is Free Software under the GNU GPL (v>=2)
# and comes with ABSOLUTELY NO WARRANTY!
# See LICENSE.txt for details.

#!/bin/bash

#NSSDIR is hackish as this will be replaced by static compiling 
# anyway

NSSDIR="/home/andre/ubuntu/src/mxe/usr/i686-w64-mingw32.static/nss-3.12.7/bin/"
MYPATH=$(dirname `readlink -f $0`)

TMPDIR=$(mktemp -d)

EXEFILES=$(find . -name cinst.exe -o -name m13ui.exe -o -name mozilla.exe)

cp $NSSDIR/*.dll $TMPDIR
cp $EXEFILES $TMPDIR

echo $TMPDIR
makensis -Dfiles_dir=$TMPDIR \
    -Dcompany="Intevation GmbH" \
    -Dversion_number=0.0.0.1 \
    -Dsetupname="renameme.exe" \
    -Dproductname="Really please rename me" \
    -Dproductname_short="renameme" $MYPATH/renameme.nsi
rm -r $TMPDIR
